crashpad::ProcessReaderLinux::Thread Struct Reference

Contains information about a thread that belongs to a process. More...

`#include "snapshot/linux/process_reader_linux.h"`

## Public Member Functions

void | InitializeStackFromSP (ProcessReaderLinux *reader, LinuxVMAddress stack_pointer)
| Initializes the thread's stack using stack_pointer instead of the stack pointer in thread_info. More...

## Public Attributes

ThreadInfo | thread_info
LinuxVMAddress | stack_region_address
LinuxVMSize | stack_region_size
pid_t | tid
int | sched_policy
int | static_priority
int | nice_value

## Friends

class | ProcessReaderLinux

## Detailed Description

Contains information about a thread that belongs to a process.

## Member Function Documentation

## InitializeStackFromSP()

void crashpad::ProcessReaderLinux::Thread::InitializeStackFromSP | ( | ProcessReaderLinux * | reader,
|  | LinuxVMAddress | stack_pointer
| ) |  |

Initializes the thread's stack using stack_pointer instead of the stack pointer in thread_info.

This method initializes stack_region_address and stack_region_size overwriting any values they previously contained. This is useful, for example, if the thread is currently in a signal handler context, which may execute on a different stack than was used before the signal was received.

Parameters

  [in] | reader | A process reader for the target process.
  [in] | stack_pointer | The stack pointer for the stack to initialize.

The documentation for this struct was generated from the following files:

- snapshot/linux/process_reader_linux.h
- snapshot/linux/process_reader_linux.cc